QGb2312Codec(3qt)

NAME
QGb2312Codec - Conversion to and from the Chinese GB2312 encoding

SYNOPSIS
#include <qgb18030codec.h>

Inherits QGb18030Codec.

  Public Members
QGb2312Codec ()

DESCRIPTION
The QGb2312Codec class provides conversion to and from the Chinese GB2312 encoding.

The GB2312 encoding has been superceded by the GB18030 encoding and GB18030 is backward compatible to GB2312. For this reason the QGb2312Codec class is implemented in terms of the GB18030 codec and uses its 0xA1A1-0xFEFE subset for conversion from and to Unicode.

The QGb2312Codec is kept mainly for compatibility reasons with older software.

See also Internationalization with Qt.

MEMBER FUNCTION DOCUMENTATION

QGb2312Codec::QGb2312Codec ()
reimp

SEE ALSO
http://doc.trolltech.com/qgb2312codec.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2001 Trolltech AS, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qgb2312codec.3qt) and the Qt version (3.3.0b1).